package fr.aminelouveaau.cartes.model;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

public class Card {
    private final Shape shape;
    private final Number number;

    @JsonCreator
    public Card(@JsonProperty("shape") Shape shape, @JsonProperty("number") Number number) {
        this.shape = shape;
        this.number = number;
    }

    public Shape getShape() {
        return shape;
    }

    public Number getNumber() {
        return number;
    }
}
